bitcain docs
API Reference

Market

Market data endpoints - prices, OHLCV, order books, and market statistics

Get 24-hour ticker data

GET
/api/v1/market/ticker

Query Parameters

type?string

Ticker type (24hr, price)

Default"24hr"
symbols?|

Comma-separated symbols (e.g., BTC,ETH,SOL)

limit?integer

Number of tickers to return

Default20
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/market/ticker"
[
  {}
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get current cryptocurrency prices

GET
/api/v1/market/prices

Query Parameters

symbols*string

Comma-separated symbols (e.g., BTC,ETH,SOL)

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/market/prices?symbols=string"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get live aggregated prices from multiple exchanges

GET
/api/v1/market/prices/live

Query Parameters

symbols?|

Comma-separated symbols (e.g., BTC/USDT,ETH/USDT). If not provided, returns all available symbols.

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/market/prices/live"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get price for a single symbol

GET
/api/v1/market/prices/{symbol}

Path Parameters

symbol*string

Query Parameters

exchange?|

Exchange name (optional, for future use)

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/market/prices/string"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Top Cryptocurrencies

GET
/api/v1/market/top

Query Parameters

limit?integer

Number of cryptocurrencies to return

Default100
Range1 <= value <= 250

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/market/top"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Market Status

GET
/api/v1/market/status

Response Body

application/json

curl -X GET "https://loading/api/v1/market/status"
{}

Get Available Symbols

GET
/api/v1/market/symbols

Response Body

application/json

curl -X GET "https://loading/api/v1/market/symbols"
{}

Get Ohlc Data

GET
/api/v1/market/ohlc

Query Parameters

symbol*string

Trading symbol (e.g., BTC/USDT)

interval?string

Candlestick interval

Default"1h"
Value in"1m" | "3m" | "5m" | "15m" | "30m" | "1h" | "2h" | "4h" | "6h" | "8h" | "12h" | "1d" | "3d" | "1w" | "1M"
limit?integer

Number of candlesticks to return

Default100
Range1 <= value <= 1000

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/market/ohlc?symbol=string"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Ohlc Range

GET
/api/v1/market/ohlc-range

Query Parameters

symbol*string

Trading symbol (e.g., BTC/USDT)

interval?string

Candlestick interval

Default"1h"
Value in"1m" | "3m" | "5m" | "15m" | "30m" | "1h" | "2h" | "4h" | "6h" | "8h" | "12h" | "1d" | "3d" | "1w" | "1M"
start*string

Range start, ISO8601 (e.g. 2025-01-01T00:00:00Z)

end*string

Range end, ISO8601 (e.g. 2025-06-01T00:00:00Z)

limit?integer

Max candles to return (most-recent within window)

Default1000
Range1 <= value <= 2000

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/market/ohlc-range?symbol=string&start=string&end=string"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Orderbook

GET
/api/v1/market/orderbook

Query Parameters

symbol*string

Trading symbol (e.g., BTC/USDT)

depth?integer

Order book depth (number of price levels)

Default20
Range5 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/market/orderbook?symbol=string"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Market Stats

GET
/api/v1/market/stats

Response Body

application/json

curl -X GET "https://loading/api/v1/market/stats"
{}

Get Market Movers

GET
/api/v1/market/movers

Query Parameters

limit?integer

Number of top movers to return

Default10
Range1 <= value <= 50

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/market/movers"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Market Heatmap

GET
/api/v1/market/heatmap

Query Parameters

limit?integer

Number of assets to include

Default50
Range10 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/market/heatmap"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Volume Distribution

GET
/api/v1/market/volume-distribution

Response Body

application/json

curl -X GET "https://loading/api/v1/market/volume-distribution"
{}

Get Trading Activity

GET
/api/v1/market/activity

Response Body

application/json

curl -X GET "https://loading/api/v1/market/activity"
{}
GET
/api/v1/market/trending

Query Parameters

limit?integer

Number of trending pairs to return

Default20
Range5 <= value <= 50

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/market/trending"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}